cURL
curl --request POST \
--url https://sandbox.withclasp.com/quotes/{public_id}/select_plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plans": [
"<string>"
]
}
'import requests
url = "https://sandbox.withclasp.com/quotes/{public_id}/select_plans"
payload = { "plans": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({plans: ['<string>']})
};
fetch('https://sandbox.withclasp.com/quotes/{public_id}/select_plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"lines_of_coverage": [
"medical"
],
"status": "draft",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"quote_plans": [
"<string>"
],
"employer_details": {
"company_name": "<string>",
"zip_code": "<string>",
"state": "AL",
"sic_code": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"phone_number": "<string>"
},
"employer": "<string>",
"census_upload": "<string>",
"submitted_at": "2023-11-07T05:31:56Z"
}Quotes
Select Plans
Marks quote plans as selected before submitting the quote.
POST
/
quotes
/
{public_id}
/
select_plans
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Path Parameters
Body
application/json
Quote plan IDs to select.
Minimum array length:
1Response
200 - application/json
Pattern:
^[-a-zA-Z0-9_]+$Available options:
medical, dental, vision, life, voluntary_life draft- Draftrates_returned- Rates Returnedawaiting_carrier- Awaiting Carrier
Available options:
draft, rates_returned, awaiting_carrier Show child attributes
Show child attributes